Skip to main content
GET
/
v2
/
matchlists
/
{matchlistName}
/
entries
Get a list of matchlist entries
curl --request GET \
  --url https://api.uat.frankie.one/v2/matchlists/{matchlistName}/entries \
  --header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
  --header 'api_key: <api-key>'
{
  "requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
  "entries": [
    {
      "attributes": [
        {
          "type": "ENTITY_TYPE",
          "value": "<string>"
        }
      ],
      "entryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "entityType": "INDIVIDUAL",
      "reference": "CERT-BAD-ACTOR-1234-5678",
      "reasons": [
        "<string>"
      ],
      "state": "ACTIVE",
      "batchName": "blocklist.csv",
      "createdBy": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedBy": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

api_key
string
header
required

Headers

api_key
string
required

Your API key provided by FrankieOne

Example:

"245c765b124a098d09ef8765...."

X-Frankie-CustomerID
string
required

Your Customer ID provided by FrankieOne

Example:

"12345678-1234-1234-1234-123456789012"

X-Frankie-CustomerChildID
string

Your Customer Child ID provided by FrankieOne

Example:

"87654321-4321-4321-4321-210987654321"

X-Frankie-Channel
string

Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.

X-Frankie-Username
string

Username provided by API caller

Example:

"fred.flintstone@frankieone.com"

Path Parameters

matchlistName
string
required

The name of the matchlist.

Query Parameters

states
enum<string>[]

If set, the response will include only entries with the specified states. By default, only ACTIVE entries are returned. Possible values are: ACTIVE, EXPIRED, and DELETED. Multiple values can be provided as a comma-separated list. For example, DELETED,EXPIRED. List of states to include in the response.

The state of the matchlist entry.

  • ACTIVE: The matchlist entry is active and can be used for matching.
  • EXPIRED: The matchlist entry has expired. It is visible and retrievable, but cannot be used for matching.
  • DELETED: The matchlist entry has been marked as deleted, rendering it unusable.

To modify an entry's state, use Matchlist-Entry-State-Writeable.

Available options:
ACTIVE,
EXPIRED,
DELETED
batchName
string

If set, the response will include only entries from the specified batch. By default, all entries will be returned. Batch name of entries to include in the response.

Example:

"blocklist.csv"

reference
string

If set, the response will include only entries with the specified reference. By default, all entries will be returned. Reference of entries to include in the response.

Example:

"CERT-BAD-ACTOR-1234-5678"

entityId
string<uuid>

If set, the response will include only entries created with the specified entityId. By default, all entries will be returned. Entity ID of entries to include in the response.

Example:

"12345678-1234-1234-1234-123456789012"

entryId
string<uuid>

If set, the response will include only the entry with the specified id. By default, all entries will be returned. Entry ID of entries to include in the response.

Example:

"12345678-1234-1234-1234-123456789987"

sort
enum<string>

Order of the sort fields will be sorted upon

Available options:
asc,
desc
sortFields
enum<string>[]

The list of sort fields that will be used in the query. The order of the sort fields will determine the order in which the items are sorted. If state is added the sort order will always be ACTIVE, EXPIRED, DELETED. List of sort fields

One sort field

Available options:
updatedAt,
createdAt,
state
page
integer

The page number that you want to retrieve for the list query

limit
integer
default:20

Limit the number of items that will be returned as part of the request

Required range: x >= 1

Response

OK

requestId
string

The unique request identifier for the API call made.

Example:

"01HN9XHZN6MGXM9JXG50K59Q85"

entries
Matchlist Entry · object[]